Index: src/filetypes.c
===================================================================
--- src/filetypes.c	(revision 2322)
+++ src/filetypes.c	(working copy)
@@ -557,15 +557,8 @@
 /* If uid is valid, return corresponding filetype, otherwise NULL. */
 filetype *filetypes_get_from_uid(gint uid)
 {
-	gint i;
-
-	for (i = 0; i < GEANY_MAX_FILE_TYPES; i++)
-	{
-		filetype *ft = filetypes[i];
-
-		if (ft->uid == (guint) uid)
-			return ft;
-	}
+	if (uid < GEANY_MAX_FILE_TYPES)
+		return filetypes[uid];
 	return NULL;
 }
 
